import Head from 'next/head';
import styles from '../styles/Home.module.css';
import { useState, useEffect } from 'react';
import axios from 'axios';

export default function Home() {
  const [data, setData] = useState([]);

  useEffect(() => {
    axios.get('/api/search').then((res) => {
      setData(res.data);
    });
  }, []);
  console.log(data);

  return (
    <div className={styles.container}>
      <Head>
        <title>Create Next App</title>
        <meta name='description' content='Generated by create next app' />
        <link rel='icon' href='/favicon.ico' />
      </Head>

      <main className={styles.main}>
        {data.map((product) => {
          return (
            <div key={product.productId}>
              <h1>{product.productName}</h1>
              <img src='' alt='img' />
              <h2>{product.metaTagDescription}</h2>
            </div>
          );
        })}
      </main>
    </div>
  );
}
